import Link from "next/link";
import Image from "next/image";
import { Navigation } from "./navigation";
import { Separator } from "./ui/separator";

export const Sidebar = () => {
  return (
    <aside className="h-full p-4 w-full">
      <Link href="/">
        <Image
          src="/logo.svg"
          alt="logo"
          width={100}
          height={50}
          style={{ width: "auto", height: "auto" }}
          priority
        />
      </Link>
      <Separator className="my-4" />
      <Navigation />
    </aside>
  );
};
